/**
 * Imports
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _setAttribute = require('./setAttribute');

var _setAttribute2 = _interopRequireDefault(_setAttribute);

/**
 * Create a DOM element
 */

function createElement(tag, attrs, children) {
  var node = doc.createElement(tag);

  if (attrs) {
    for (var _name in attrs) {
      (0, _setAttribute2['default'])(node, _name, attrs[_name]);
    }
  }

  if (children) {
    for (var i = 0; i < children.length; i++) {
      node.appendChild(children[i]);
    }
  }

  return node;
}

/**
 * Exports
 */

exports['default'] = createElement;
module.exports = exports['default'];