/**
 * Remove an attribute from an element
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
function removeAttribute(node, name, priorValue) {
  if (typeof priorValue === 'function') {
    priorValue(node, name, true);
  }

  node.removeAttribute(name);
}

/**
 * Exports
 */

exports['default'] = removeAttribute;
module.exports = exports['default'];